Package wx :: Class PasswordEntryDialog

[frames | no frames]

## Type PasswordEntryDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                   TextEntryDialog --+
                                     |
                                    PasswordEntryDialog

Proxy of C++ PasswordEntryDialog class

Method Summary
TextEntryDialog | ``__init__`(self, parent, message, caption, defaultValue, style, pos)` Constructor.

Property Summary
| `thisown`: The membership flag

Class Variable Summary

Instance Method Details

### __init__(self, parent, message, caption=GetPasswordFromUserPromptStr, value=EmptyString, style=TextEntryDialogStyle, pos=DefaultPosition)
(Constructor)

Constructor. Use ShowModal method to show the dialog.

  Parameters:
    `parent`
    (type=Window)

    `message`
    (type=String)

    `caption`
    (type=String)

    `defaultValue`
    (type=String)

    `style`
    (type=long)

    `pos`
    (type=Point)

  Returns:
    TextEntryDialog
  Overrides:
    `wx.TextEntryDialog.__init__` (inherited documentation)

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:50 2007 | http://epydoc.sf.net